Bug 479729 - Misconfiguration of package
Misconfiguration of package
Product: Fedora
Classification: Fedora
Component: otrs (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-12 13:36 EST by Sergey Podushkin
Modified: 2010-06-28 07:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergey Podushkin 2009-01-12 13:36:26 EST
Description of problem:
Just after installing OTRS (from EPEL on CentOS5-x86_64, sorry this is not Fedora), browsing link http://<host>/otrs returns error 404 (The requested URL /otrs/ was not found on this server.), and in /var/log/httpd/error_log - "slurp_filename('/var/www/html/otrs') / opening: (2) No such file or directory at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/ModPerl/RegistryCooker.pm line 540"

Version-Release number of selected component (if applicable):
otrs.noarch, 2.1.7-2.el5

How reproducible:

Steps to Reproduce:
1. yum install otrs
2. (before and after) yum install perl-Net-DNS perl-Authen-SASL perl-XML-Parser
3. service httpd restart
4. wget http://<host or IP>/otrs (this is affected by Allow clause in /etc/httpd/conf.d/otrs.conf so need to be ajusted properly to avoid 403 error)
Actual results:
unusable application

Expected results:
usable app

Additional info: everything mentioned is done on CentOS5-x86_64.
Comment 1 mail@romal.de 2009-01-13 16:03:14 EST
At the moment OTRS is basically unmaintained. The former maintainer has orpahned OTRS.

I'm in the process of understanding the old package and updating it to a current version, but my time is actually very limited, so progress is slow.

Also I`m interessted in Fedora, not in Epel. So Epel might be further down the road.
Comment 2 Bug Zapper 2009-06-09 06:41:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 Bug Zapper 2010-04-27 08:43:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-06-28 07:05:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.